Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.exception
Class DefaultSystemExceptionStrategy

    java.lang.Object
      org.mule.exception.AbstractExceptionListener
          org.mule.exception.DefaultSystemExceptionStrategy

All Implemented Interfaces:
  MuleContextAware, SystemExceptionHandler, Disposable, Initialisable

    public class DefaultSystemExceptionStrategy

extends AbstractExceptionListener
implements SystemExceptionHandler

Log exception, fire a notification, and clean up transaction if any.

Field Summary

Fields inherited from class org.mule.exception.AbstractExceptionListener
`commitTxFilter, enableNotifications, initialised, logger, messageProcessors, muleContext, rollbackTxFilter`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`DefaultSystemExceptionStrategy()` Deprecated. Use DefaultSystemExceptionStrategy(MuleContext muleContext) instead
`DefaultSystemExceptionStrategy(MuleContext muleContext)`

Method Summary
`void` | `handleException(Exception e)` Take some action when a system exception has occurred (i.e., there was no message in play when the exception occurred).

Methods inherited from class org.mule.exception.AbstractExceptionListener
`addEndpoint, closeStream, createOutboundRouter, dispose, doInitialise, fireNotification, getCommitTxFilter, getExceptionType, getMessageProcessors, getMessageProcessors, getRollbackTxFilter, handleTransaction, initialise, isEnableNotifications, isInitialised, logException, logFatal, removeMessageProcessor, rollbackTransaction, routeException, setCommitTxFilter, setEnableNotifications, setMessageProcessors, setMuleContext, setRollbackTxFilter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSystemExceptionStrategy

    public DefaultSystemExceptionStrategy()

  Deprecated. Use DefaultSystemExceptionStrategy(MuleContext muleContext) instead

  For IoC only

### DefaultSystemExceptionStrategy

    public DefaultSystemExceptionStrategy(MuleContext muleContext)

Method Detail

### handleException

    public void handleException(Exception e)

  Description copied from interface: `SystemExceptionHandler`
  Take some action when a system exception has occurred (i.e., there was no message in play when the exception occurred).

  Specified by:
    `handleException` in interface `SystemExceptionHandler`
  Parameters:
    `e` - which occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.